uniform sampler2D texture;
uniform float time = 1.0;
uniform float speedX = 1.0;
uniform float speedY = 1.0;
uniform float video = 0.0;
void main()
{
	float t = time;
    
	 vec2 uv = gl_TexCoord[0].xy;

    uv.x -= t * speedX; //step(sin(t),0.1);
    uv.y -= t * speedY; //step(sin(t),0.2);
 
	gl_FragColor = texture2D(texture, uv);   
}